G-RAW
1
BRL-CAD
BRL-CAD
User Commands

# g-raw

RAW Translator (BRL-CAD to RAW)

      g-raw
        -o output_file
        -m output_directory
        -P num_cpus
        -i
        -8
        -D calculation_tolerance
        -a absolute_tol
        -r relative_tol
        -n normal_tol
        -xX level
        -v

        database.g
        object(s)

## DESCRIPTION

g-raw converts the specified object(s) from a BRL-CAD database.g file to the stereolithography file format.

The following options are recognized.

`-o PATH`

  Specify output file name (default is stdout).

`-m DIR`

  Specify a directory for output files. Each region converted is written to a separate file. File names are constructed from the full path names of each region (the path from the specified object to the region). Any "/" characters in the path name are replaced by "@" characters and "." and white space are replaced by "_" characters. If the -m option is not specified, all regions are written to the same file. The `-o` and `-m` options are mutually exclusive.

`-P#`

  Specify the number of CPUs to utilize.

`-i`

  Use inches as the output format (the default is mm).

`-8`

  Facetize using the marching cubes algorithm.

`-D#`

  Specify a calculational distance tolerance (mm). Any two vertices that are less than this distance apart will be treated as the same vertex.

`-a#`

  Specify the absolute tesselation tolerance.

`-r#`

  Specify the relative tesselation tolerance.

`-n#`

  Specify the surface-normal tesselation tolerance.

`-x#`

  Specify an RT debug flag.

`-X#`

  Specify an NMG debug flag.

`-v`

  Enable verbose output.

## EXAMPLE

    $ g-raw -o sample.raw sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.